I3LOCK-FANCY(1)

NAME
i3lock-fancy - Bash script around i3lock for fancy effect

DESCRIPTION

Takes a screenshot of the desktop, blurs the background and adds a lock icon and text. This blurred image is then given to i3lock as the lockscreen background.

SYNOPSIS

i3lock-fancy [options]

OPTIONS

-h, --help
    Display a help screen and exit.

-d, --desktop
    Attempt to minimize all windows before locking.

-g, --greyscale
    Set background to greyscale instead of color.

-p, --pixelate
    Pixelate the background instead of blur, runs faster.

-f <fontname>, --font <fontname>
    Set a custom font.

-t <text>, --text <text>
    Set a custom text prompt.

-l, --listfonts
    Display a list of possible fonts for use with -f/--font.

    Note: this option will not lock the screen, it displays the list and exits immediately.

-n, --nofork
    Do not fork i3lock after starting.

    IMPORTANT: See KNWON BUGS section.

--  Must be last option. Set command to use for taking a screenshot. Default is 'import -window root'. Using 'scrot' or 'maim' will increase script speed and allow setting custom flags like having a delay.

KNOWN BUGS

As of now, forking does not occur whether one uses `-n` or not. See https://github.com/meskarune/i3lock-fancy/issues/144 for more information regarding this bug.

SEE ALSO
i3lock(1)

AUTHORS

Dolores Portalatin <hello@doloresportalatin.info>